<?php

function get_msgs() {
	$msgs = array();
	foreach (glob(sapp_include_path() . 'locale.*.php') AS $locale_filepath)
		include_once($locale_filepath);
	return $msgs;
}


function msg($name, $locale = null)
{
	static $msgs;
	static $def_locale;
	
	if (!isset($msgs))
		$msgs = get_msgs();
		
	if (!isset($def_locale)) {
	    $def_locale = $msgs['default'];
	}
		
	if (null == $locale)
		$locale = sapp_get_locale();
		
	if (!isset($msgs[$locale])) {
		$locale = $def_locale;
	}
	
	if (isset($msgs[$locale][$name]))
		return $msgs[$locale][$name];
	elseif (isset($msgs[$def_locale][$name]))
		return $msgs[$def_locale][$name];
	else
		return $name;
}


function get_lang()
{
    return array (
	"chinese_big5" => msg("chinese_big5"),
	"chinese_gb2312" => msg("chinese_gb2312"),
	"dutch" => msg("dutch"),
	"english" => msg("english"),
	"english_utf-8" => msg("english_utf-8"),
	"french" => msg("french"),
	"german" => msg("german"),
	"hebrew" => msg("hebrew"),
	"hungarian" => msg("hungarian"),
	"indonesian" => msg("indonesian"),
	"italian" => msg("italian"),
	"korean" => msg("korean"),
	"polish" => msg("polish"),
	"portuguese" => msg("portuguese"),
	"russian_cp1251" => msg("russian_cp1251"),
	"russian_koi8r" => msg("russian_koi8r"),
	"spanish" => msg("spanish"),
	"turkish" => msg("turkish")

    );
}
									    


?>